Subject: Re: [PATCH v2] cli: add -v and -h shorthands

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Mar 2022 14:53:03 -0700

Garrit Franke <[email-masked]> writes:

> Change the behavior of "git -v" to be synonymous with "--version" /
> "version", and "git -h" to be synonymous with "--help", but not "help".
>
> These shorthands both display the "unknown option" message. Following
> this change, "-v" displays the version, and "-h" displays the help text
> of the "git" command.

Sorry, but it is unclear why it is a good thing.

> It should be noted that the "-v" shorthand could be misinterpreted by
> the user to mean "verbose" instead of "version", since some sub-commands
> make use of it in this context. The top-level "git" command does not
> have a "verbose" flag, so it's safe to introduce this shorthand
> unambiguously.

Again, it might be safe right now, but it also closes the door for
introducing global "verbose" option.  What in exchange are we
gaining?  Are these short options worth it?

I am not convinced.